Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 589334 - Install succeded; harness broken?
Install succeded; harness broken?
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 17:27 EDT by Zack Cerza
Modified: 2010-05-10 13:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 13:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2010-05-05 17:27:23 EDT
So, I scheduled a job and went to check on it later; there were no results reported. I logged into the serial console and can't figure out what's wrong. This is my best clue:

# cat /tmp/beah-beaker-backend.out
/usr/lib64/python2.6/site-packages/twisted/spread/pb.py:30: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
Traceback (most recent call last):
  File "/usr/bin/beah-beaker-backend", line 9, in <module>
    load_entry_point('beah==0.1.a1.dev201005031535', 'console_scripts', 'beah-beaker-backend')()
  File "/usr/lib/python2.6/site-packages/beah/backends/beakerlc.py", line 925, in main
    start_beaker_backend()
  File "/usr/lib/python2.6/site-packages/beah/backends/beakerlc.py", line 873, in start_beaker_backend
    backend = BeakerLCBackend()
  File "/usr/lib/python2.6/site-packages/beah/backends/beakerlc.py", line 378, in __init__
    self.runtime = runtimes.ShelveRuntime(self.conf.get('DEFAULT', 'RUNTIME_FILE_NAME'))
  File "/usr/lib/python2.6/site-packages/beah/misc/runtimes.py", line 282, in __init__
    pre_open(fname)
  File "/usr/lib/python2.6/site-packages/beah/misc/__init__.py", line 222, in pre_open
    os.makedirs(path)
  File "/usr/lib64/python2.6/os.py", line 157, in makedirs
    mkdir(name, mode)
OSError: [Errno 17] File exists: '/var/beah'

https://beaker.engineering.redhat.com/jobs/8

Note You need to log in before you can comment on or make changes to this bug.